/*
  IRremote:Example600A - detector sketch
*/

#include <IRremote.h>

const int irRecvPin = 11;
const int ledPin = 13;

IRrecv irrecv(irRecvPin); // IR receive object
decode_results results;   // IR decode object

void setup(){
  pinMode(ledPin, OUTPUT);
  irrecv.enableIRIn();
}

int lightState = 0;

void loop(){
  if (irrecv.decode(&results)){
    delay(200);
    lightState = 1-lightState;
    digitalWrite(ledPin, lightState);
    irrecv.resume();
  }
}
      
    
