/*
  IRremote:Example601A - detector sketch

*/

#include <IRremote.h>

const int irRecvPin = 11;
const int ledPin = 13;

IRrecv irrecv(irRecvPin);
decode_results results;

void setup(){
  Serial.begin(9600);
  pinMode(ledPin, OUTPUT);
  irrecv.enableIRIn();
}

int lightState = 0;

void loop(){
  if (irrecv.decode(&results)){
    delay(200);
    lightState = 1-lightState;
    Serial.println(results.value, HEX);
    digitalWrite(ledPin, lightState);
    irrecv.resume();
  }
}
      
    
